Last Comment Bug 136672 - Error Console uses the wrong highlight color for selections
: Error Console uses the wrong highlight color for selections
Status: RESOLVED WONTFIX
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: All All
-- trivial (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 490886
  Show dependency treegraph
 
Reported: 2002-04-10 10:55 PDT by Matthew Paul Thomas
Modified: 2016-06-29 11:02 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Matthew Paul Thomas 2002-04-10 10:55:43 PDT
Build: 2002040508, Mac OS 9.1

To reproduce:
1.  Open the JavaScript Console.
2.  Click on one of the errors to select it.

What happens:
*   It goes blue.

What should happen:
*   It goes pink, since that's my chosen highlight color.
Comment 1 User image Frankie 2003-03-14 12:13:40 PST
Console still uses its own custom color rather than system color.
Comment 2 User image Stefan [:stefanh] 2008-10-22 19:30:38 PDT
Bumping this to toolkit, since the css is there. One problem here is of course that with a system color like "Highlight", you might end up with the same color as the various background colors that are used to differentiate messages/warnings etc.
Comment 3 User image Philip Chee 2008-10-23 12:47:56 PDT
> One problem here is of course
> that with a system color like "Highlight", you might end up with the same color
> as the various background colors that are used to differentiate
> messages/warnings etc.

Yes see Bug 414244 for an example.
Comment 4 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 07:47:29 PDT
The Error Console has been removed in favor of the Browser Console (see Bug 1278368), and the component is going to be removed.  If this bug is also relevant in the Browser Console, please reopen and move this into Firefox -> Developer Tools: Console.
Comment 5 User image Zack Weinberg (:zwol) 2016-06-27 09:44:26 PDT
I am mass-reopening and re-componenting every single one of the Toolkit:Error Console bugs that appear to have been closed without anyone even *glancing* at whether they were relevant to the Browser Console.

If you want to close a whole bunch of old bugs -- FOR ANY REASON -- it is YOUR RESPONSIBILITY to check EVERY SINGLE ONE OF THEM and make sure they are no longer valid.  Do not push that work onto the bug reporters.

(It's okay to close bugs that haven't been touched in years when they don't have enough information for you to figure out whether the problem is still relevant to the current software - the reporter probably isn't coming back to clarify.  But that is the ONLY situation where it is okay.)

(I'm going to have to do this in two steps because of the way the "change several bugs at once" form works.  Apologies for the extra bugspam.)
Comment 6 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 15:34:06 PDT
Doesn't translate to browser console, so resolving

Note You need to log in before you can comment on or make changes to this bug.